  jenkins:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-jenkins
    build:
      context: ./jenkins/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - jenkins:/var/jenkins_home/
      - ./jenkins/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./jenkins/volumes/file/root/.bash_history:/root/.bash_history
      - ./jenkins/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./jenkins/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./jenkins/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.223
        aliases:
          - jenkins.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "22301:9001"
      - "22322:22"
      - "22380:8080"
      - "22350:50000"
    expose:
      - "9001"
      - "22"
      - "8080"
      - "50000"
